Create a new Web Event
curl --request POST \
--url https://commerce.driv.ly/api/webevents \
--header 'Content-Type: application/json' \
--data '
{
"id": "wev_7h9k2j5s3d4f",
"name": "User Login",
"account": {
"id": "acc_0jk3v58djsi1",
"lead": "Lead ID",
"consumer": {
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "example@example.com",
"lastName": "Doe",
"birthDate": "1990-05-15",
"firstName": "John",
"phoneNumber": "555-0199"
},
"anonymousIds": [
"anon_4598kdjv9390",
"anon_4598kdjv9391"
]
},
"anonymousId": "anon_4598kdjv9390"
}
'import requests
url = "https://commerce.driv.ly/api/webevents"
payload = {
"id": "wev_7h9k2j5s3d4f",
"name": "User Login",
"account": {
"id": "acc_0jk3v58djsi1",
"lead": "Lead ID",
"consumer": {
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "example@example.com",
"lastName": "Doe",
"birthDate": "1990-05-15",
"firstName": "John",
"phoneNumber": "555-0199"
},
"anonymousIds": ["anon_4598kdjv9390", "anon_4598kdjv9391"]
},
"anonymousId": "anon_4598kdjv9390"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'wev_7h9k2j5s3d4f',
name: 'User Login',
account: {
id: 'acc_0jk3v58djsi1',
lead: 'Lead ID',
consumer: {
id: 'con_2k4jd93vsd82',
ssn: '123-45-6789',
email: 'example@example.com',
lastName: 'Doe',
birthDate: '1990-05-15',
firstName: 'John',
phoneNumber: '555-0199'
},
anonymousIds: ['anon_4598kdjv9390', 'anon_4598kdjv9391']
},
anonymousId: 'anon_4598kdjv9390'
})
};
fetch('https://commerce.driv.ly/api/webevents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "wev_7h9k2j5s3d4f",
"name": "User Login",
"account": {
"id": "acc_0jk3v58djsi1",
"lead": "Lead ID",
"consumer": {
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "example@example.com",
"lastName": "Doe",
"birthDate": "1990-05-15",
"firstName": "John",
"phoneNumber": "555-0199"
},
"anonymousIds": [
"anon_4598kdjv9390",
"anon_4598kdjv9391"
]
},
"anonymousId": "anon_4598kdjv9390"
},
"success": true
}{
"error": {
"code": 400,
"message": "Missing Required Information"
},
"success": false
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Analytics
Create a new Web Event
POST
/
webevents
Create a new Web Event
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Response
Web Event Created
Show child attributes
Show child attributes
Example:
{
"id": "wev_7h9k2j5s3d4f",
"name": "User Login",
"account": {
"id": "acc_0jk3v58djsi1",
"lead": "Lead ID",
"consumer": {
"id": "con_2k4jd93vsd82",
"ssn": "123-45-6789",
"email": "example@example.com",
"lastName": "Doe",
"birthDate": "1990-05-15",
"firstName": "John",
"phoneNumber": "555-0199"
},
"anonymousIds": ["anon_4598kdjv9390", "anon_4598kdjv9391"]
},
"anonymousId": "anon_4598kdjv9390"
}